<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer3: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer3
   </div>
   <div id="projectbrief">kmTimer3 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a id="index_k"></a>- k -</h3><ul>
<li>KM_TCC3_MINIMUM_PWM_CYCCLE_ACCURACY
: <a class="el" href="km_timer3_default_config_8h.html#a06142a1f2cc1f04469a1f1849cd74471">kmTimer3DefaultConfig.h</a>
</li>
<li>KM_TCC3_PWM_OUT_A
: <a class="el" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a887a240a79ffd3a7ce3a20a394463814">kmTimer3.h</a>
</li>
<li>KM_TCC3_PWM_OUT_B
: <a class="el" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a76ebd51b704f85a1957665ab71990ed6">kmTimer3.h</a>
</li>
<li>KM_TCC3_PWM_OUT_C
: <a class="el" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8a8a2ba64c57c476365921a3a43f5076a4">kmTimer3.h</a>
</li>
<li>KM_TIMER3_USER_DATA
: <a class="el" href="km_timer3_8h.html#a0c687e25a72ece784c92e9081db54385">kmTimer3.h</a>
</li>
<li>kmTimer3CalcDutyOnCycles()
: <a class="el" href="km_timer3_8h.html#a253d1817ce93967032b8d69e848efd87">kmTimer3.h</a>
</li>
<li>kmTimer3CalcPerdiod()
: <a class="el" href="km_timer3_8h.html#ac94bb89074b5d0183dc974aa1d21a7ff">kmTimer3.h</a>
</li>
<li>kmTimer3CalcPerdiodWithMinPwmAccuracy()
: <a class="el" href="km_timer3_8h.html#aa2602e6eccf213b322b0ba91dd123386">kmTimer3.h</a>
</li>
<li>kmTimer3CallbackType
: <a class="el" href="km_timer3_8h.html#af10d794eb2ba4bf1561559b3689f132c">kmTimer3.h</a>
</li>
<li>kmTimer3ConfigureOCA()
: <a class="el" href="km_timer3_8h.html#a7d06b2f8e630ed7b652c7ca0ddc4b17b">kmTimer3.h</a>
</li>
<li>kmTimer3ConfigureOCB()
: <a class="el" href="km_timer3_8h.html#a98c4c190686307a3b9ffe57a8a3fbecb">kmTimer3.h</a>
</li>
<li>kmTimer3ConfigureOCC()
: <a class="el" href="km_timer3_8h.html#ae0acad9f68e9957a30d8c5b5899813b6">kmTimer3.h</a>
</li>
<li>kmTimer3DisableInterruptCompA()
: <a class="el" href="km_timer3_8h.html#a421378b0eaed2fc692dbee3f37be221c">kmTimer3.h</a>
</li>
<li>kmTimer3DisableInterruptCompB()
: <a class="el" href="km_timer3_8h.html#a4cdab27515cb251ce7bbe746037b448b">kmTimer3.h</a>
</li>
<li>kmTimer3DisableInterruptCompC()
: <a class="el" href="km_timer3_8h.html#af31cbffc332e5efff4acdcc242d9c1d7">kmTimer3.h</a>
</li>
<li>kmTimer3DisableInterruptOVF()
: <a class="el" href="km_timer3_8h.html#a06e1af96a67a7174a507d4d03377f7b4">kmTimer3.h</a>
</li>
<li>kmTimer3DisableInterruptsAll()
: <a class="el" href="km_timer3_8h.html#afdd1b2485ec7068dc90d46f4f666a616">kmTimer3.h</a>
</li>
<li>kmTimer3EnableInterruptCompA()
: <a class="el" href="km_timer3_8h.html#a56bbb4f1f7dc35b8a5bb56d8d183411e">kmTimer3.h</a>
</li>
<li>kmTimer3EnableInterruptCompB()
: <a class="el" href="km_timer3_8h.html#aba043e24e016ae3805373c40fbd98925">kmTimer3.h</a>
</li>
<li>kmTimer3EnableInterruptCompC()
: <a class="el" href="km_timer3_8h.html#a9661bc4bf969a0a83e5b7c899e002814">kmTimer3.h</a>
</li>
<li>kmTimer3EnableInterruptInpCapture()
: <a class="el" href="km_timer3_8h.html#a032f7886b471684501608a012a580b04">kmTimer3.h</a>
</li>
<li>kmTimer3EnableInterruptOVF()
: <a class="el" href="km_timer3_8h.html#a1668cae52ed686f40c66a11eb50e4ca9">kmTimer3.h</a>
</li>
<li>kmTimer3GetValueCompA()
: <a class="el" href="km_timer3_8h.html#a34f901853d9dcf3ff8f3cb04f59a2b7f">kmTimer3.h</a>
</li>
<li>kmTimer3GetValueCompB()
: <a class="el" href="km_timer3_8h.html#a73f958019794dd6eb960ff4806850b38">kmTimer3.h</a>
</li>
<li>kmTimer3GetValueCompC()
: <a class="el" href="km_timer3_8h.html#ab564f77271800142e459ead5195e90a9">kmTimer3.h</a>
</li>
<li>kmTimer3GetValueOvf()
: <a class="el" href="km_timer3_8h.html#ae4973f4c97fc48acb5aa036d363bf007">kmTimer3.h</a>
</li>
<li>kmTimer3Init()
: <a class="el" href="km_timer3_8h.html#ab8cb03666a99c8b0744f226a38927775">kmTimer3.h</a>
</li>
<li>kmTimer3InitExternal()
: <a class="el" href="km_timer3_8h.html#a7069d4889b4893af07c28ae25bdaff28">kmTimer3.h</a>
</li>
<li>kmTimer3InitInputCapture()
: <a class="el" href="km_timer3_8h.html#aa06e2eeefecccb08ba1cc21ac3fe1130">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnAccuratePeriodGenerateOutputClockA()
: <a class="el" href="km_timer3_8h.html#a0f757a748e40dd4cfa7eb4dcf01ee5d8">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnAccurateTimeCompABInterruptCallback()
: <a class="el" href="km_timer3_8h.html#a089e902646423f7092bb46009c047e63">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnAccurateTimeCompAInterruptCallback()
: <a class="el" href="km_timer3_8h.html#a05ac01f6edfc3cd077b3fb65d3ca5064">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnAccurateTimeFastPwm()
: <a class="el" href="km_timer3_8h.html#ae79d03e778e20f76152f7c5a26cfe437">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnAccurateTimePcPwm()
: <a class="el" href="km_timer3_8h.html#ab3ccff09f251e76300c5413133dc3f2f">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnPrescalerBottomToTopFastPwm()
: <a class="el" href="km_timer3_8h.html#a18c5518e8b329f985f5c7d39196b2ba9">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnPrescalerBottomToTopOvfCompABCInterruptCallback()
: <a class="el" href="km_timer3_8h.html#aa07ad3b23b1ff563cdf29538379c0db6">kmTimer3.h</a>
</li>
<li>kmTimer3InitOnPrescalerBottomToTopPcPwm()
: <a class="el" href="km_timer3_8h.html#a81c0e5c15529fb5c1fcee915f4b6db57">kmTimer3.h</a>
</li>
<li>kmTimer3InpCaptureCallbackType
: <a class="el" href="km_timer3_8h.html#af038f515dc00a481348a1c12569d92cd">kmTimer3.h</a>
</li>
<li>kmTimer3InpCaputureGetState()
: <a class="el" href="km_timer3_8h.html#a30feaf5d8943dd90bfd1c180bfda173d">kmTimer3.h</a>
</li>
<li>kmTimer3RegisterCallbackCompA()
: <a class="el" href="km_timer3_8h.html#a236f332870d4621aeeab3ca3df8c4837">kmTimer3.h</a>
</li>
<li>kmTimer3RegisterCallbackCompB()
: <a class="el" href="km_timer3_8h.html#ae6fa20e042fd11f332ffdee7ea7d8900">kmTimer3.h</a>
</li>
<li>kmTimer3RegisterCallbackCompC()
: <a class="el" href="km_timer3_8h.html#af008feac2f0cac867798b6ee7fc07bab">kmTimer3.h</a>
</li>
<li>kmTimer3RegisterCallbackInpCapture()
: <a class="el" href="km_timer3_8h.html#a4e33120bb89361af7b7f99f43acb3bb2">kmTimer3.h</a>
</li>
<li>kmTimer3RegisterCallbackOVF()
: <a class="el" href="km_timer3_8h.html#abf76f8f4654946467f7eb560311ed8ae">kmTimer3.h</a>
</li>
<li>kmTimer3Restart()
: <a class="el" href="km_timer3_8h.html#a23dc667ab276dd0aa7da85b6283c44bb">kmTimer3.h</a>
</li>
<li>kmTimer3SetCallbackUserDataCompA()
: <a class="el" href="km_timer3_8h.html#a408f0a62904c19cfac37ae3e7e171c2d">kmTimer3.h</a>
</li>
<li>kmTimer3SetCallbackUserDataCompB()
: <a class="el" href="km_timer3_8h.html#af1c6c404594c2ef0c4ba309851908131">kmTimer3.h</a>
</li>
<li>kmTimer3SetCallbackUserDataCompC()
: <a class="el" href="km_timer3_8h.html#a732907d4378591e4bc28bebfa19a42a6">kmTimer3.h</a>
</li>
<li>kmTimer3SetCallbackUserDataOVF()
: <a class="el" href="km_timer3_8h.html#a20c4cb8b4342edb5e7da959274f3d5a0">kmTimer3.h</a>
</li>
<li>kmTimer3SetPwmDutyAccurateTimeModes()
: <a class="el" href="km_timer3_8h.html#a4249a1031b729430515e58497a8cfddf">kmTimer3.h</a>
</li>
<li>kmTimer3SetPwmDutyBottomToTop()
: <a class="el" href="km_timer3_8h.html#a32385f32654f3e68593693a3ef157085">kmTimer3.h</a>
</li>
<li>kmTimer3SetPwmInversion()
: <a class="el" href="km_timer3_8h.html#a88ab05e9d6743386030ea98cff80a5e6">kmTimer3.h</a>
</li>
<li>kmTimer3SetValueCompA()
: <a class="el" href="km_timer3_8h.html#a921148434fdc51b9d6397ffe2e9b3e34">kmTimer3.h</a>
</li>
<li>kmTimer3SetValueCompB()
: <a class="el" href="km_timer3_8h.html#a9e4e5d4d2faef07e61d2a197c4b3ff1f">kmTimer3.h</a>
</li>
<li>kmTimer3SetValueCompC()
: <a class="el" href="km_timer3_8h.html#ab0bf509394759261131e93de3a5815f4">kmTimer3.h</a>
</li>
<li>kmTimer3SetValueOvf()
: <a class="el" href="km_timer3_8h.html#a0db1d59d3674289e15a3fcd219a9cbbb">kmTimer3.h</a>
</li>
<li>kmTimer3Start()
: <a class="el" href="km_timer3_8h.html#a42e540ff14987ae76411a10405f35346">kmTimer3.h</a>
</li>
<li>kmTimer3Stop()
: <a class="el" href="km_timer3_8h.html#a2d82d716b9ab10eceaad849e9ca574f1">kmTimer3.h</a>
</li>
<li>kmTimer3UnregisterCallbackCompA()
: <a class="el" href="km_timer3_8h.html#ad36f5f46aceb910a5474f0c3c1592ea9">kmTimer3.h</a>
</li>
<li>kmTimer3UnregisterCallbackCompB()
: <a class="el" href="km_timer3_8h.html#ae1ee7982d176020390f48e083d6ebd22">kmTimer3.h</a>
</li>
<li>kmTimer3UnregisterCallbackCompC()
: <a class="el" href="km_timer3_8h.html#af4e7af6f8b83a3cf8a5712d69c0e666e">kmTimer3.h</a>
</li>
<li>kmTimer3UnregisterCallbackInpCapture()
: <a class="el" href="km_timer3_8h.html#acd14889cffb2e47708ce2c86f7dcf995">kmTimer3.h</a>
</li>
<li>kmTimer3UnregisterCallbackOVF()
: <a class="el" href="km_timer3_8h.html#aad85ca4e2a5ddde776395d12c9912e01">kmTimer3.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>Tcc3PwmOut
: <a class="el" href="km_timer3_8h.html#a6065e25955f954243d4f4cf787105fd8">kmTimer3.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
